SKIPUNZIP=0
set_perm_recursive $MODPATH/ 0 0 0755 0644
chmod 744 $MODPATH/toolkit
chmod 744 -R $MODPATH/binary

MODDIR=/data/adb/modules/Neribox
if [ -f /data/adb/magisk/busybox ];then
BUSYBOX_PATH=/data/adb/magisk/busybox
elif [ -f /data/adb/ksu/bin/busybox ];then
BUSYBOX_PATH=/data/adb/ksu/bin/busybox
fi

mkdir -p /data/adb/Neribox
chmod 777 /data/adb/Neribox

if [ -f $MODPATH/酷安渠道.README ];then
    ui_print $(cat $MODPATH/酷安渠道.README)
    rm $MODPATH/酷安渠道.README
fi

ARCH=$(getprop ro.product.cpu.abi)
ui_print 当前soc架构为$ARCH
if [ "$ARCH" = "arm64-v8a" ];then
mv $MODPATH/binary/arm64/* $MODPATH/bin
elif [ "$ARCH" = "armeabi-v7a" ];then
mv $MODPATH/binary/arm/* $MODPATH/bin
else
ui_print 没有当前架构的二进制文件
fi
rm -r $MODPATH/binary

#备份文件夹
if [ -d $MODDIR ];then
    
    if [ -d $MODDIR/AList/etc ];then
        ALIST_CONFIG_PATH=$MODDIR/AList/etc/config.json
    else
        ALIST_CONFIG_PATH=$MODDIR/etc/config.json
    fi
    JQ_PATH=$MODPATH/bin/jq
    DB_FILE_PATH=$(cat $ALIST_CONFIG_PATH | $JQ_PATH .database.db_file | sed 's/"//g')
    for i in $DB_FILE_PATH $DB_FILE_PATH-shm $DB_FILE_PATH-wal;do
        if [ -f $i ];then
        cp $i -rp $MODPATH/etc
        fi
    done
    ui_print 已备份数据
fi

CONFIG_PATH="/data/adb/Neribox/config.ini"
AOD="$(cat "$CONFIG_PATH" | $BUSYBOX_PATH egrep '^AOD=' | sed -n 's/.*=//g;$p')"
[ ! $AOD ] && AOD=0
DASHBOARD="$(cat "$CONFIG_PATH" | $BUSYBOX_PATH egrep '^DASHBOARD=' | sed -n 's/.*=//g;$p')"
[ ! $DASHBOARD ] && DASHBOARD=true
STATUSBAR="$(cat "$CONFIG_PATH" | $BUSYBOX_PATH egrep '^STATUSBAR=' | sed -n 's/.*=//g;$p')"
[ ! $STATUSBAR ] && STATUSBAR="ALIST|VERSION:BOOT_MODE:PORT:USER:PASSWORD ARIA2|VERSION:BOOT_MODE:PORT LIGHTTPD|VERSION:BOOT_MODE:PORT RCLONE|VERSION:BOOT_MODE:PID FRPC|VERSION:BOOT_MODE:PID"
ALIST_BOOT_MODE="$(cat "$CONFIG_PATH" | $BUSYBOX_PATH egrep '^ALIST_BOOT_MODE=' | sed -n 's/.*=//g;$p')"
[ ! $ALIST_BOOT_MODE ] && ALIST_BOOT_MODE=false
ALIST_REPO="$(cat "$ALIST_REPO" | $BUSYBOX_PATH egrep '^ALIST_REPO=' | sed -n 's/.*=//g;$p')"
[ ! $ALIST_REPO ] && ALIST_REPO=https://packages-cf.termux.dev
ARIA2_BOOT_MODE="$(cat "$CONFIG_PATH" | $BUSYBOX_PATH egrep '^ARIA2_BOOT_MODE=' | sed -n 's/.*=//g;$p')"
[ ! $ARIA2_BOOT_MODE ] && ARIA2_BOOT_MODE=false
TRACKERLIST="$(cat "$CONFIG_PATH" | $BUSYBOX_PATH egrep '^TRACKERLIST=' | sed -n 's/.*=//g;$p')"
[ ! $TRACKERLIST ] && TRACKERLIST=https://cdn.jsdelivr.net/gh/ngosang/trackerslist@master/trackers_all_ip.txt
LIGHTTPD_BOOT_MODE="$(cat "$CONFIG_PATH" | $BUSYBOX_PATH egrep '^LIGHTTPD_BOOT_MODE=' | sed -n 's/.*=//g;$p')"
[ ! $LIGHTTPD_BOOT_MODE ] && LIGHTTPD_BOOT_MODE=false
RCLONE_BOOT_MODE="$(cat "$CONFIG_PATH" | $BUSYBOX_PATH egrep '^RCLONE_BOOT_MODE=' | sed -n 's/.*=//g;$p')"
[ ! $RCLONE_BOOT_MODE ] && RCLONE_BOOT_MODE=false
MOUNTDIR="$(cat "$CONFIG_PATH" | $BUSYBOX_PATH egrep '^MOUNTDIR=' | sed -n 's/.*=//g;$p')"
[ ! $MOUNTDIR ] && MOUNTDIR=AList
CLOUDDIR="$(cat "$CONFIG_PATH" | $BUSYBOX_PATH egrep '^CLOUDDIR=' | sed -n 's/.*=//g;$p')"
[ ! $CLOUDDIR ] && CLOUDDIR=/
FRPC_BOOT_MODE="$(cat "$CONFIG_PATH" | $BUSYBOX_PATH egrep '^FRPC_BOOT_MODE=' | sed -n 's/.*=//g;$p')"
[ ! $FRPC_BOOT_MODE ] && FRPC_BOOT_MODE=false
FRPC_PARM="$(cat "$CONFIG_PATH" | $BUSYBOX_PATH egrep '^FRPC_PARM=' | sed -n 's/.*=//g;$p')"
[ ! $FRPC_PARM ] && FRPC_PARM=
#创建配置文件
echo "#true启用,false不启用

#息屏控制

AOD="$AOD"

#仪表盘是否开启

DASHBOARD="$DASHBOARD"

#仪表盘自义定样式

STATUSBAR="$STATUSBAR"

#AList自启动

ALIST_BOOT_MODE="$ALIST_BOOT_MODE"

#Alist更新获取的Termux源

ALIST_REPO="$ALIST_REPO"

#Aria2自启动

ARIA2_BOOT_MODE="$ARIA2_BOOT_MODE"

#tracker服务器订阅链接

TRACKERLIST="$TRACKERLIST"

#Lighttpd更随启动

LIGHTTPD_BOOT_MODE="$LIGHTTPD_BOOT_MODE"

#rclone更随启动

RCLONE_BOOT_MODE="$RCLONE_BOOT_MODE"

#默认本地挂载路径，不需要文件路径前缀

MOUNTDIR="$MOUNTDIR"

#默认云端挂载路径，/为全部

CLOUDDIR="$CLOUDDIR"

#frpc更随启动

FRPC_BOOT_MODE="$FRPC_BOOT_MODE"

#frpc启动参数

FRPC_PARM="$FRPC_PARM"" > $CONFIG_PATH
ui_print "已生成配置文件"

TIME () {
TIME=$(date '+%s')$((`date "+%N"`/1000000))
echo $TIME
}

ANYWHERE_DATABASES=/data/data/com.absinthe.anywhere_/databases/anywhere_database
if [ -f $ANYWHERE_DATABASES -a ! -f /data/data/com.absinthe.anywhere_/databases/neribox ];then
touch /data/data/com.absinthe.anywhere_/databases/neribox
$MODPATH/bin/sqlite3 $ANYWHERE_DATABASES <<EOF
insert into anywhere_table(_id,app_name,param_1,param_2,param_3,description,type,category,time_stamp,color,iconUri,execWithRoot) values($(TIME),"AList","/data/adb/Neribox/toolkit alist start","/data/adb/Neribox/toolkit alist stop","off","",6,"Default",$(TIME),0,"",0);
insert into anywhere_table(_id,app_name,param_1,param_2,param_3,description,type,category,time_stamp,color,iconUri,execWithRoot) values($(TIME),"Aria2","/data/adb/Neribox/toolkit aria2 start","/data/adb/Neribox/toolkit aria2 stop","off","",6,"Default",$(TIME),0,"",0);
insert into anywhere_table(_id,app_name,param_1,param_2,param_3,description,type,category,time_stamp,color,iconUri,execWithRoot) values($(TIME),"Lighttpd","/data/adb/Neribox/toolkit lighttpd start","/data/adb/Neribox/toolkit lighttpd stop","off","",6,"Default",$(TIME),0,"",0);
insert into anywhere_table(_id,app_name,param_1,param_2,param_3,description,type,category,time_stamp,color,iconUri,execWithRoot) values($(TIME),"frpc","/data/adb/Neribox/toolkit frpc start","/data/adb/Neribox/toolkit frpc stop","off","",6,"Default",$(TIME),0,"",0);
insert into anywhere_table(_id,app_name,param_1,param_2,param_3,description,type,category,time_stamp,color,iconUri,execWithRoot) values($(TIME),"rclone","/data/adb/Neribox/toolkit rclone mount","/data/adb/Neribox/toolkit rclone umount","off","",6,"Default",$(TIME),0,"",0);
insert into anywhere_table(_id,app_name,param_1,param_2,param_3,description,type,category,time_stamp,color,iconUri,execWithRoot) values($(TIME),"更新tracker服务器","/data/adb/Neribox/toolkit trackerlist update","","","",5,"Default",$(TIME),0,"",0);
VACUUM;
EOF
ui_print "成功添加快捷方式"
fi